<?php
/**
 * Dashboard general tab
 * 
 * @package Elemento_Addon_for_Elementor
 */
?>
<div class="mega-elements-tab-content mega-elements-general-content active">
    <div class="mega-elements-banner">
        <img src="<?php echo MEGA_ELEMENTS_ADDONS_FOR_ELEMENTOR_URL . '/assets/admin/dashboard/' ?>images/banner.jpg" alt="banner" />
    </div>
    <div class="mega-elements-gts">
        <div class="block-wrap">
            <div class="mega-elements-block">
                <div class="block-content-wrap">
                    <span class="mega-elements-subtitle"><?php esc_html_e( 'Documentation', 'mega-elements-addons-for-elementor' ) ?></span>
                    <h2 class="mega-elements-title"><?php esc_html_e( 'Get started with our step by step detailed documentation to understand how our plugin works.', 'mega-elements-addons-for-elementor' ) ?></h2>
                    <div class="mega-elements-desc">
                        <p><?php esc_html_e( 'Following our guide, you can build beautiful websites for you and your clients with ease.', 'mega-elements-addons-for-elementor' ); ?></p>
                    </div>
                    <a href="https://kraftplugins.com/mega-elements/docs/" target="_blank" class="mega-elements-btn">
                        <?php esc_html_e( 'Explore the documentation', 'mega-elements-addons-for-elementor' ); ?>
                        <svg xmlns="http://www.w3.org/2000/svg" width="16.883" height="12.103" viewBox="0 0 16.883 12.103"><g id="Group_1353" data-name="Group 1353" transform="translate(-499.104 -1247.557)"><path id="Path_30666" data-name="Path 30666" d="M1930.783,1253.646h14.534" transform="translate(-1430.679 0.019)" fill="none" stroke="#fff" stroke-linecap="round" stroke-width="2"/><path id="Path_30667" data-name="Path 30667" d="M1941.846,1250.561l4.638,4.638-4.638,4.637" transform="translate(-1431.911 -1.589)" fill="none" stroke="#fff" stroke-linecap="round" stroke-width="2"/></g></svg>
                    </a>
                </div>
                <div class="mega-elements-img">
                    <img src="<?php echo MEGA_ELEMENTS_ADDONS_FOR_ELEMENTOR_URL . '/assets/admin/dashboard/' ?>images/doc-img.png" alt="doc img" />
                </div>
            </div>
        </div>
    </div>
    <div class="imp-notice">
        <div class="block-wrap">
            <div class="mega-elements-block">
                <div class="mega-elements-img">
                    <img src="<?php echo MEGA_ELEMENTS_ADDONS_FOR_ELEMENTOR_URL . '/assets/admin/dashboard/' ?>images/help-img.jpg" alt="help" />
                </div>
                <div class="block-content-wrap">
                    <h2 class="mega-elements-title"><?php esc_html_e( 'Need Help?', 'mega-elements-addons-for-elementor' ); ?></h2>
                    <div class="mega-elements-desc">
                        <p><?php esc_html_e( 'Stuck with something? Our support team is friendly and ready to help you. So don’t be shy and reach out to us for any questions or confusion you have.', 'mega-elements-addons-for-elementor' ); ?></p>
                    </div>
                    <a href="https://kraftplugins.com/support-ticket/" target="_blank" class="mega-elements-btn">
                        <?php esc_html_e( 'Contact Support', 'mega-elements-addons-for-elementor' ) ?>
                        <svg xmlns="http://www.w3.org/2000/svg" width="16.883" height="12.103" viewBox="0 0 16.883 12.103"><g id="Group_1353" data-name="Group 1353" transform="translate(-499.104 -1247.557)"><path id="Path_30666" data-name="Path 30666" d="M1930.783,1253.646h14.534" transform="translate(-1430.679 0.019)" fill="none" stroke="#fff" stroke-linecap="round" stroke-width="2"/><path id="Path_30667" data-name="Path 30667" d="M1941.846,1250.561l4.638,4.638-4.638,4.637" transform="translate(-1431.911 -1.589)" fill="none" stroke="#fff" stroke-linecap="round" stroke-width="2"/></g></svg>
                    </a>
                </div>
            </div>
            <div class="mega-elements-block">
                <div class="mega-elements-img">
                    <img src="<?php echo MEGA_ELEMENTS_ADDONS_FOR_ELEMENTOR_URL . '/assets/admin/dashboard/' ?>images/feature-img.jpg" alt="featires" />
                </div>
                <div class="block-content-wrap">
                    <h2 class="mega-elements-title"><?php esc_html_e( 'Feature Request', 'mega-elements-addons-for-elementor' ) ?></h2>
                    <div class="mega-elements-desc">
                        <p><?php esc_html_e( 'Have an idea that might make our plugins even better? We’re listening!', 'mega-elements-addons-for-elementor' ); ?></p>
                    </div>
                    <a href="https://kraftplugins.com/mega-elements/roadmap/" target="_blank" class="mega-elements-btn btn-black">
                        <?php esc_html_e( 'Request a Feature', 'mega-elements-addons-for-elementor' ); ?>
                        <svg xmlns="http://www.w3.org/2000/svg" width="16.883" height="12.103" viewBox="0 0 16.883 12.103"><g id="Group_1353" data-name="Group 1353" transform="translate(-499.104 -1247.557)"><path id="Path_30666" data-name="Path 30666" d="M1930.783,1253.646h14.534" transform="translate(-1430.679 0.019)" fill="none" stroke="#fff" stroke-linecap="round" stroke-width="2"/><path id="Path_30667" data-name="Path 30667" d="M1941.846,1250.561l4.638,4.638-4.638,4.637" transform="translate(-1431.911 -1.589)" fill="none" stroke="#fff" stroke-linecap="round" stroke-width="2"/></g></svg>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div><!-- .mega-elements-general-content -->
